<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
        <UseWpf>true</UseWpf>
        <LangVersion>default</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
        <Compile Update="DynamicGrid\DynamicEditorForm\EmbeddedDynamicEditorForm.xaml.cs">
          <SubType>Code</SubType>
        </Compile>
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
        <None Remove="Resources\add.png" />
        <None Remove="Resources\AlignTextCenter16.png" />
        <None Remove="Resources\AlignTextJustify16.png" />
        <None Remove="Resources\AlignTextLeft16.png" />
        <None Remove="Resources\AlignTextRight16.png" />
        <None Remove="Resources\alter.png" />
        <None Remove="Resources\back.png" />
        <None Remove="Resources\Bold16.png" />
        <None Remove="Resources\Bullets16.png" />
        <None Remove="Resources\Bullet_Arrow.png" />
        <None Remove="Resources\Bullet_Circle.png" />
        <None Remove="Resources\Bullet_Dot.png" />
        <None Remove="Resources\Bullet_Flower.png" />
        <None Remove="Resources\Bullet_Image.png" />
        <None Remove="Resources\Bullet_None.png" />
        <None Remove="Resources\Bullet_Square.png" />
        <None Remove="Resources\Bullet_Tick.png" />
        <None Remove="Resources\circle.png" />
        <None Remove="Resources\copy.png" />
        <None Remove="Resources\cut.png" />
        <None Remove="Resources\DecreaseIndent16.png" />
        <None Remove="Resources\delete.png" />
        <None Remove="Resources\design.png" />
        <None Remove="Resources\disk.png" />
        <None Remove="Resources\doc-bmp.png" />
        <None Remove="Resources\doc-jpg.png" />
        <None Remove="Resources\doc-misc.png" />
        <None Remove="Resources\doc-pdf.png" />
        <None Remove="Resources\doc-png.png" />
        <None Remove="Resources\doc-rtf.png" />
        <None Remove="Resources\doc-txt.png" />
        <None Remove="Resources\doc-xls.png" />
        <None Remove="Resources\downarrow.png" />
        <None Remove="Resources\download.png" />
        <None Remove="Resources\draw.png" />
        <None Remove="Resources\edit.png" />
        <None Remove="Resources\filter.png" />
        <None Remove="Resources\filter_active.png" />
        <None Remove="Resources\filter_set.png" />
        <None Remove="Resources\first.png" />
        <None Remove="Resources\fontsize.png" />
        <None Remove="Resources\fullpage.png" />
        <None Remove="Resources\go.png" />
        <None Remove="Resources\hand.png" />
        <None Remove="Resources\header_closed.png" />
        <None Remove="Resources\help.png" />
        <None Remove="Resources\Hyperlink16.png" />
        <None Remove="Resources\IncreaseIndent16.png" />
        <None Remove="Resources\Italic16.png" />
        <None Remove="Resources\key.png" />
        <None Remove="Resources\last.png" />
        <None Remove="Resources\leftarrow.png" />
        <None Remove="Resources\line.png" />
        <None Remove="Resources\load.png" />
        <None Remove="Resources\localfile.png" />
        <None Remove="Resources\menu.png" />
        <None Remove="Resources\merge.png" />
        <None Remove="Resources\next.png" />
        <None Remove="Resources\Numbering16.png" />
        <None Remove="Resources\Numbering_LowLetter_Brace.png" />
        <None Remove="Resources\Numbering_LowLetter_Dot.png" />
        <None Remove="Resources\Numbering_LowRoman.png" />
        <None Remove="Resources\Numbering_None.png" />
        <None Remove="Resources\Numbering_Number_Brace.png" />
        <None Remove="Resources\Numbering_Number_Dot.png" />
        <None Remove="Resources\Numbering_UpLetter.png" />
        <None Remove="Resources\Numbering_UpRoman.png" />
        <None Remove="Resources\pagewidth.png" />
        <None Remove="Resources\palette.png" />
        <None Remove="Resources\paste.png" />
        <None Remove="Resources\pencil.png" />
        <None Remove="Resources\Picture16.png" />
        <None Remove="Resources\print.png" />
        <None Remove="Resources\printer.png" />
        <None Remove="Resources\redo.png" />
        <None Remove="Resources\Redo16.png" />
        <None Remove="Resources\refresh.png" />
        <None Remove="Resources\remotefile.png" />
        <None Remove="Resources\rightarrow.png" />
        <None Remove="Resources\run.png" />
        <None Remove="Resources\save.png" />
        <None Remove="Resources\square.png" />
        <None Remove="Resources\Strikethrough16.png" />
        <None Remove="Resources\Table16.png" />
        <None Remove="Resources\text.png" />
        <None Remove="Resources\tick.png" />
        <None Remove="Resources\Underline16.png" />
        <None Remove="Resources\undo.png" />
        <None Remove="Resources\Undo16.png" />
        <None Remove="Resources\uparrow.png" />
        <None Remove="Resources\upload.png" />
        <None Remove="Resources\view.png" />
        <None Remove="Resources\warning.png" />
        <None Remove="Resources\zoomin.png" />
        <None Remove="Resources\zoomout.png" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\3rdpartylibs\fastreports.wpf\FastReport.WPF\FastReport.WPF.csproj" />
        <ProjectReference Include="..\InABox.Dxf\InABox.Dxf.csproj" />
        <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="ColorHelper" Version="1.8.1" />
        <PackageReference Include="ControlzEx" Version="6.0.0" />
        <PackageReference Include="Extended.Wpf.Toolkit" Version="4.6.0" />
        <PackageReference Include="FluentResults" Version="3.15.2" />
        <PackageReference Include="GhostScript.NetCore" Version="1.0.1" />
        <PackageReference Include="HtmlRenderer.Core" Version="1.5.0.6" />
        <PackageReference Include="HtmlRenderer.WPF" Version="1.5.0.6" />
        <PackageReference Include="Microsoft.CodeAnalysis.Common" Version="4.9.2" />
        <PackageReference Include="Microsoft.CodeAnalysis.CSharp" Version="4.9.2" />
        <PackageReference Include="net.sf.mpxj-ikvm" Version="11.1.0" />
        <PackageReference Include="RoslynPad.Editor.Windows" Version="4.8.0" />
        <PackageReference Include="RoslynPad.Roslyn.Windows" Version="4.8.0" />
        <PackageReference Include="Syncfusion.Grid.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.Pdf.Wpf" Version="25.2.6" />
        <PackageReference Include="Syncfusion.PdfToImageConverter.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.PdfViewer.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.SfGrid.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.SfImageEditor.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.SfInput.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.SfRichTextBoxAdv.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.SfSpreadsheet.WPF" Version="25.2.6" />
        <PackageReference Include="Syncfusion.Tools.WPF.Classic" Version="19.4.0.56" />
        <PackageReference Include="Syncfusion.XlsIO.Wpf" Version="25.2.6" />
        <PackageReference Include="System.Collections.Immutable" Version="9.0.0-preview.4.24266.19" />
    </ItemGroup>

    <ItemGroup>
      <Resource Include="Resources\add.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\AlignTextCenter16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\AlignTextJustify16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\AlignTextLeft16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\AlignTextRight16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\alter.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\back.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bold16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullets16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Arrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Circle.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Dot.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Flower.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Image.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_None.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Square.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Bullet_Tick.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\circle.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\copy.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\cut.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\DecreaseIndent16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\delete.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\design.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\disk.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-bmp.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-jpg.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-misc.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-pdf.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-png.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-rtf.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-txt.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\doc-xls.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\downarrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\download.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\draw.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\edit.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\filter.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\filter_active.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\filter_set.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\first.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\fontsize.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\fullpage.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\go.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\hand.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\header_closed.png" />
      <Resource Include="Resources\help.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Hyperlink16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\IncreaseIndent16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Italic16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\key.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\last.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\leftarrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\line.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\load.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\localfile.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\menu.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\merge.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\next.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_LowLetter_Brace.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_LowLetter_Dot.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_LowRoman.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_None.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_Number_Brace.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_Number_Dot.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_UpLetter.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Numbering_UpRoman.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\pagewidth.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\palette.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\paste.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\pencil.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Picture16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\print.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\printer.png" />
      <Resource Include="Resources\redo.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Redo16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\refresh.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\remotefile.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\rightarrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\run.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\save.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\square.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Strikethrough16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Table16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\text.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\tick.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Underline16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\undo.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\Undo16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\uparrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\upload.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\view.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\warning.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\zoomin.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\zoomout.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\splash.png" />
      <Resource Include="Resources\splash.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
    </ItemGroup>

    <ItemGroup>
      <Compile Update="DigitalForms\Designer\Controls\FormHeader.xaml.cs">
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="DigitalForms\Designer\DynamicFormDesignWindow.xaml.cs">
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="DigitalForms\Designer\SignaturePadWindow.xaml.cs">
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="DynamicGrid\Editors\ExpressionEditor\ExpressionEditorWindow.xaml.cs">
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="DynamicGrid\Layouts\VerticalDynamicEditorGridLayout.xaml.cs">
        <SubType>Code</SubType>
      </Compile>
      <Compile Update="DynamicGrid\Themes\Main.xaml.cs">
        <Generator>MSBuild:Compile</Generator>
      </Compile>
      <Compile Update="Reports\CustomObjects\MultiImageObject.cs" />
      <Compile Update="Reports\CustomObjects\MultiItemObject.cs" />
      <Compile Update="Reports\CustomObjects\MultiSignatureObject.cs" />
      <Compile Update="Resources.Designer.cs">
        <DesignTime>True</DesignTime>
        <AutoGen>True</AutoGen>
        <DependentUpon>Resources.resx</DependentUpon>
      </Compile>
    </ItemGroup>

    <ItemGroup>
      <EmbeddedResource Update="Resources.resx">
        <Generator>PublicResXFileCodeGenerator</Generator>
        <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      </EmbeddedResource>
    </ItemGroup>

    <ItemGroup>
      <Page Update="DynamicGrid\Attachments.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\AuditWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DigitalForms\Designer\Controls\FormHeader.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DigitalForms\Designer\DynamicEditFormWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DigitalForms\Designer\DynamicFormDesignLength.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DigitalForms\Designer\DynamicFormDesignWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DigitalForms\Designer\SignaturePadWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DynamicGrid\DynamicContentDialog.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicEditorGrid.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicExportForm.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicGridColumnsEditor.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicGridFilterEditor.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicImportForm.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicImportList.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicIssuesEditor.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicKanbanColumn.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicKanbanGrid.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicMultiEditWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\Editors\ExpressionEditor\ExpressionEditorWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DynamicGrid\Editors\FilterEditor\FilterEditorWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\Layouts\VerticalDynamicEditorGridLayout.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DynamicGrid\MasterList.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\MultiSelectWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\NotesForm.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\PDF\DocumentEditor.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\PDF\ImageEditorControl.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\PDF\PDFEditorControl.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\PDF\PDFPreview.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\ScriptEditor.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="Themes\Generic.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\Themes\Main.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="Reports\PreviewWindow.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="Reports\ReportManager.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="Resources\VerticalHeader.xaml">
        <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      </Page>
      <Page Update="DynamicGrid\DynamicEditorForm\EmbeddedDynamicEditorForm.xaml">
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DynamicGrid\Editors\FilterEditor\Nodes\ValueNodes\ArrayValueNodePopup.xaml">
        <Generator>MSBuild:Compile</Generator>
        <XamlRuntime>Wpf</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
      <Page Update="DynamicGrid\Editors\FilterEditor\Nodes\ValueNodes\SubQueryNodePopup.xaml">
        <Generator>MSBuild:Compile</Generator>
        <XamlRuntime>Wpf</XamlRuntime>
        <SubType>Designer</SubType>
      </Page>
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Syncfusion.SfSpreadsheet.WPF">
        <HintPath>C:\Users\Fiona\.nuget\packages\syncfusion.sfspreadsheet.wpf\20.2.0.46\lib\net5.0-windows7.0\Syncfusion.SfSpreadsheet.WPF.dll</HintPath>
      </Reference>
    </ItemGroup>



</Project>
